Subject: ICL 2950

From: "Rob O'Donnell" <[email-masked]>
Date: Sun May 25 07:42:00 2003

Hmm... Having seen this on eBay:
http://cgi.ebay.co.uk/ws/eBayISAPI.dll?ViewItem&item=2731022229&category=1247
the nameplate from an ICL 2950, weighing over 2Kg alone, and had my 
curiosity nudged, I was wondering if anybody knew of any pictures of the 
beast itself?  A quick google found me a bit of info, but no pics yet.

Hmm.. I've got a nameplate stuck to a 5.25" disc box in the cupboard from a 
Ferranti "EWTS" system (Early Warning [Tracking|Training] System, I forget 
which, and google doesn't help at all) ... Picked it up while I was an 
apprentice there - now that was fun, wandering round the factory, about 
1982/3 - I seem to recall computer generated ships and stuff on one 
system.  Amazing graphics for the time.

It's a shame how little of the old stuff still exists..  I also used to 
"play" on a Data General Nova, must have been about 1980, at the college my 
Dad taught at; I sometimes wonder whatever happened to that..

Rob.